import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:vaycore/widget/refresh/custom_refresh_loading.dart';
import 'package:vaycore/widget/refresh/refresh_container.dart';

//
// @author vay
// @email hxhvay@126.com
// @date 2020-06-21
//

/// 刷新加载更多组件
class RefreshLoadMore extends CustomRefreshLoading {
  /// 加载中提示文字
  final String loadingText;

  /// 没有更多提示文字
  final String noMoreText;

  const RefreshLoadMore({
    this.loadingText = "loading...",
    this.noMoreText = "- no more data -",
  });

  @override
  Widget builder(LoadStatus status) {
    if (status != LoadStatus.noMore) {
      return _buildContainer(_buildLoading());
    } else {
      return _buildContainer(Text(this.noMoreText));
    }
  }

  Container _buildContainer(Widget body) {
    return Container(
      height: 60,
      child: Center(child: body),
    );
  }

  Widget _buildLoading() {
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        SizedBox(
          width: 15,
          height: 15,
          child: CupertinoActivityIndicator(radius: 8),
        ),
        SizedBox(width: 5),
        Text(this.loadingText),
      ],
    );
  }
}
